# $Revision: 1.2 $, $Date: 2002/09/22 13:50:30 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define		pdir	Audio
%define		pnam	PSID
Summary:	Audio::PSID Perl module - handle PlaySID files (Commodore C-64 music files)
Summary(pl):	Modu Perla Audio::PSID - obsuga plikw PlaySID (muzyki z Commodore C-64)
Name:		perl-Audio-PSID
Version:	2.02
Release:	1
License:	Artistic or GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tgz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is designed to handle PlaySID files (usually bearing a
.sid extension), which are music player and data routines converted
from the Commodore C-64 computer with an additional informational
header prepended.

%description -l pl
Ten modu suy do obsugi plikw PlaySID (zazwyczaj z rozszerzeniem
.sid), ktre s procedurami odtwarzacza i danymi przekonwertowanymi z
Commodore C-64 z doczonym nagwkiem informacyjnym.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes PSID_v2NG.txt README
%{perl_sitelib}/Audio/PSID.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Audio-PSID.spec,v $
Revision 1.2  2002/09/22 13:50:30  kloczek
- (auto)updated to 2.02.

Revision 1.1  2002/08/15 17:54:58  qboosh
- new

